Name:           gqrx
Version:        2.3.2
Release:        12%{?dist}
Summary:        Software defined radio receiver powered by GNU Radio and Qt

License:        GPLv3+ and GPLv2+ and BSD
URL:            http://gqrx.dk/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz

Patch0:         gqrx-2.3.2-desktop-file-fix.patch

BuildRequires:  gnuradio-devel qt-devel pulseaudio-libs-devel git
BuildRequires:  gr-osmosdr-devel boost-devel desktop-file-utils

%description
Gqrx is a software defined radio receiver powered by the GNU Radio SDR
framework and the Qt graphical toolkit.

%prep
%setup -q
%patch0 -p1 -b .desktop-file-fix

%build
%qmake_qt4 PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
%make_install INSTALL_ROOT=%{buildroot}

# icon
install -Dpm 644 icons/gqrx.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/gqrx.svg

# desktop-file
desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications gqrx.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%{_bindir}/*
%{_datadir}/applications/gqrx.desktop
%{_datadir}/icons/hicolor/scalable/apps/*
%doc COPYING README.md news.txt

%changelog
* Fri Aug 14 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 2.3.2-12
- Rebuilt for new gnuradio

* Tue Aug  4 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 2.3.2-11
- Rebuilt for new boost

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-10
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Tue Jul 28 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 2.3.2-9
- Rebuilt for new gnuradio

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 2.3.2-8
- rebuild for Boost 1.58

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 16 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 2.3.2-6
- Rebuilt for new gnuradio

* Sun May 03 2015 Kalev Lember <kalevlember@gmail.com> - 2.3.2-5
- Rebuilt for GCC 5 C++11 ABI change

* Sat Mar  7 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 2.3.2-4
- Rebuild for new gnuradio

* Thu Jan 29 2015 Petr Machata <pmachata@redhat.com> - 2.3.2-3
- Rebuild for boost 1.57.0

* Mon Jan 12 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 2.3.2-2
- Fixed categories in desktop file
  Resolves: rhbz#1181130

* Mon Dec  8 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 2.3.2-1
- New version
- Fixed download URL
- Packaged desktop file and icon according to guidelines

* Thu Oct 23 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 2.2.0-13
- Rebuilt for new gr-osmosdr and gnuradio

* Tue Sep  2 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 2.2.0-12
- Rebuilt for new gnuradio

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 17 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 2.2.0-10
- Rebuilt for new gnuradio

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 25 2014 Petr Machata <pmachata@redhat.com> - 2.2.0-8
- Rebuild for boost 1.55.0

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 2.2.0-7
- rebuild for boost 1.55.0

* Thu Mar 13 2014 Josh Bressers <bressers@redhat.com> 2.2.0-6
- Rebuild to fix broken rawhide dependency

* Sat Mar 8 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> 2.2.0-5
- Rebuild against fixed qt to fix -debuginfo (#1074041)

* Thu Feb 20 2014 Josh Bressers <bressers@redhat.com> 2.2.0-4
- Fix the License field

* Sat Feb 08 2014 Josh Bressers <bressers@redhat.com> 2.2.0-3
- Fix some issues noted in bug 1006104

* Fri Feb 07 2014 Josh Bressers <bressers@redhat.com> 2.2.0-2
- Package version 2.2.0

* Mon Sep 9 2013 Josh Bressers <bressers@redhat.com> 2.1_git_298_g0e78-1
- Initial RPM
